org.apache.fop.layoutmgr

## Class WhitespaceManagementPenalty.Variant

- java.lang.Object
- - org.apache.fop.layoutmgr.WhitespaceManagementPenalty.Variant

Enclosing class:
  WhitespaceManagementPenalty

    public class WhitespaceManagementPenalty.Variant
    extends Object

### Field Summary

Fields
`List<ListElement>` `knuthList`
`int` `width`

### Constructor Summary

Constructors
Constructor and Description
`Variant(List<ListElement> knuthList, int width)`

### Method Summary

All Methods Instance Methods Concrete Methods
`KnuthElement` `getPenalty()`
`WhitespaceManagementPenalty` `getWhitespaceManagementPenalty()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### knuthList

    public final List<ListElement> knuthList

#### width

    public final int width

### Constructor Detail

#### Variant

    public Variant(List<ListElement> knuthList,
                   int width)

### Method Detail

#### getPenalty

    public KnuthElement getPenalty()

#### getWhitespaceManagementPenalty

    public WhitespaceManagementPenalty getWhitespaceManagementPenalty()